import { z } from 'zod';
import { Options, Mode, PromptedOptions } from '../types.js';
import { GitHub } from './getGitHub.js';
import '../codes.js';
import 'octokit';

interface GitHubAndOptions {
    github: GitHub | undefined;
    options: Options;
}
interface OptionsParseCancelled {
    cancelled: true;
    error?: string | z.ZodError<object>;
    options: object;
}
interface OptionsParseSuccess extends GitHubAndOptions {
    cancelled: false;
}
type OptionsParseResult = OptionsParseCancelled | OptionsParseSuccess;
declare function readOptions(args: string[], mode: Mode, promptedOptions?: PromptedOptions): Promise<OptionsParseResult>;

export { GitHubAndOptions, OptionsParseCancelled, OptionsParseResult, OptionsParseSuccess, readOptions };
