interface WorkflowFileConcurrency {
    "cancel-in-progress"?: boolean;
    group: string;
}
interface WorkflowFileOn {
    pull_request?: {
        branches?: string | string[];
        types?: string[];
    } | null | string;
    pull_request_target?: {
        types: string[];
    };
    push?: {
        branches: string[];
    };
    release?: {
        types: string[];
    };
    workflow_dispatch?: null | string;
}
interface WorkflowFilePermissions {
    contents?: string;
    "id-token"?: string;
    "pull-requests"?: string;
}
interface WorkflowFileStep {
    env?: Record<string, string>;
    if?: string;
    name?: string;
    run?: string;
    uses?: string;
    with?: Record<string, unknown>;
}
interface WorkflowFileOptionsBase {
    concurrency?: WorkflowFileConcurrency;
    name: string;
    on?: WorkflowFileOn;
    permissions?: WorkflowFilePermissions;
}
interface WorkflowFileOptionsRuns extends WorkflowFileOptionsBase {
    runs: (WorkflowFileStep | string)[];
}
interface WorkflowFileOptionsSteps extends WorkflowFileOptionsBase {
    steps: WorkflowFileStep[];
}
type WorkflowFileOptions = WorkflowFileOptionsRuns | WorkflowFileOptionsSteps;
declare function createWorkflowFile({ concurrency, name, on, permissions, ...options }: WorkflowFileOptions): string;

export { createWorkflowFile };
